Skip to content

Query OrderBooks

This endpoint provides cryptocurrency orderbook.


HTTP Request

bash
GET /market/v1/tickers/{symbol}/orderbooks?market={market}

Request Parameters

NameTypeRequiredDescription
marketenumYesMarket code. See supported values in the market enum definition.
symbolstringYesCrypto trading pair symbol, e.g., BTC-USDT

cURL Example

bash
curl --location --request GET '{$base_url}/market/v1/tickers/BTC-USDT/orderbooks?market=dcex' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142003'

Successful Response Format

Description of the response data fields.

NameTypeDescription
symbolSTRINGCrypto symbol
marketSTRINGCrypto market
askOBJECT ARRAYSell orders
bidOBJECT ARRAYBuy orders
timeSTRINGOrderbook time

Description of the market order field.

NameTypeDescription
priceDECIMALOrder price
volumeDECIMALOrder volume

Sample Success Response

json
{
    "code": 0,
    "data": {
        "market": "dcex",
        "symbol": "BTC-USDT",
        "time": "2025-09-25 10:10:23.394",
        "ask": [
            {
                "price": 113556,
                "volume": 1.59787
            },
            {
                "price": 113557.22,
                "volume": 0.00005
            },
            {
                "price": 113557.5,
                "volume": 0.01778
            },
            {
                "price": 113560,
                "volume": 0.10236
            },
            {
                "price": 113560.33,
                "volume": 0.00005
            },
            {
                "price": 113560.38,
                "volume": 0.0001
            },
            {
                "price": 113560.39,
                "volume": 0.06671
            },
            {
                "price": 113560.85,
                "volume": 0.00005
            },
            {
                "price": 113561.28,
                "volume": 0.0001
            },
            {
                "price": 113561.29,
                "volume": 0.04649
            },
            {
                "price": 113561.65,
                "volume": 0.0021
            },
            {
                "price": 113562.07,
                "volume": 0.00079
            },
            {
                "price": 113562.84,
                "volume": 0.01754
            },
            {
                "price": 113562.93,
                "volume": 0.003
            },
            {
                "price": 113562.97,
                "volume": 0.0001
            },
            {
                "price": 113562.98,
                "volume": 0.05078
            },
            {
                "price": 113563.01,
                "volume": 0.00015
            },
            {
                "price": 113563.02,
                "volume": 0.26446
            },
            {
                "price": 113563.11,
                "volume": 0.00005
            },
            {
                "price": 113563.12,
                "volume": 0.08806
            }
        ],
        "bid": [
            {
                "price": 113555.99,
                "volume": 15.07178
            },
            {
                "price": 113555.15,
                "volume": 0.01797
            },
            {
                "price": 113554.97,
                "volume": 0.0001
            },
            {
                "price": 113554.96,
                "volume": 0.05087
            },
            {
                "price": 113554.82,
                "volume": 0.00005
            },
            {
                "price": 113554.01,
                "volume": 0.00137
            },
            {
                "price": 113554,
                "volume": 0.08465
            },
            {
                "price": 113553.6,
                "volume": 0.00015
            },
            {
                "price": 113553.59,
                "volume": 0.14316
            },
            {
                "price": 113552,
                "volume": 0.08465
            },
            {
                "price": 113551.77,
                "volume": 0.00025
            },
            {
                "price": 113551.76,
                "volume": 1.02461
            },
            {
                "price": 113551.53,
                "volume": 0.00005
            },
            {
                "price": 113550.4,
                "volume": 0.0001
            },
            {
                "price": 113550.31,
                "volume": 0.08823
            },
            {
                "price": 113550,
                "volume": 0.0847
            },
            {
                "price": 113549.71,
                "volume": 0.01728
            },
            {
                "price": 113549.17,
                "volume": 0.0002
            },
            {
                "price": 113548.81,
                "volume": 0.007
            },
            {
                "price": 113548.8,
                "volume": 0.00005
            }
        ]
    }
}

Sample Error Response

json
{
  "code": 500,
  "message": "Internal Service Error",
  "details": ""
}